Bullet Collision Detection & Physics Library: btConvexHullInternal::Pool< T > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btConvexHullInternal::Pool< T > Class Template Reference

## Public Member Functions
| Pool ()
| ~Pool ()
void | reset ()
void | setArraySize (int arraySize)
T * | newObject ()
void | freeObject (T *object)

## Private Attributes
PoolArray< T > * | arrays
PoolArray< T > * | nextArray
T * | freeObjects
int | arraySize

## Detailed Description

template<typename T>
class btConvexHullInternal::Pool< T >

Definition at line 697 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Pool()

template<typename T >

btConvexHullInternal::Pool< T >::Pool | ( |  | ) |
| inline

Definition at line 706 of file btConvexHullComputer.cpp.

## ◆ ~Pool()

template<typename T >

btConvexHullInternal::Pool< T >::~Pool | ( |  | ) |
| inline

Definition at line 710 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ freeObject()

template<typename T >

void btConvexHullInternal::Pool< T >::freeObject | ( | T * | object | ) |
| inline

Definition at line 754 of file btConvexHullComputer.cpp.

## ◆ newObject()

template<typename T >

T * btConvexHullInternal::Pool< T >::newObject | ( |  | ) |
| inline

Definition at line 732 of file btConvexHullComputer.cpp.

## ◆ reset()

template<typename T >

void btConvexHullInternal::Pool< T >::reset | ( |  | ) |
| inline

Definition at line 721 of file btConvexHullComputer.cpp.

## ◆ setArraySize()

template<typename T >

void btConvexHullInternal::Pool< T >::setArraySize | ( | int | arraySize | ) |
| inline

Definition at line 727 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ arrays

template<typename T >

PoolArray<T>* btConvexHullInternal::Pool< T >::arrays
| private

Definition at line 700 of file btConvexHullComputer.cpp.

## ◆ arraySize

template<typename T >

int btConvexHullInternal::Pool< T >::arraySize
| private

Definition at line 703 of file btConvexHullComputer.cpp.

## ◆ freeObjects

template<typename T >

T* btConvexHullInternal::Pool< T >::freeObjects
| private

Definition at line 702 of file btConvexHullComputer.cpp.

## ◆ nextArray

template<typename T >

PoolArray<T>* btConvexHullInternal::Pool< T >::nextArray
| private

Definition at line 701 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp